<html>
<head>
<title>Ogre::ResourceBackgroundQueue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceBackgroundQueue Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceBackgroundQueue" --><!-- doxytag: inherits="Singleton&lt; ResourceBackgroundQueue &gt;,Ogre::AllocatedObject,Ogre::WorkQueue::RequestHandler,Ogre::WorkQueue::ResponseHandler" -->
<p>This class is used to perform <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> operations in a background thread.  
 <a href="classOgre_1_1ResourceBackgroundQueue.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ResourceBackgroundQueue:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ResourceBackgroundQueue__inherit__graph.gif" border="0" usemap="#Ogre_1_1ResourceBackgroundQueue_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ResourceBackgroundQueue_inherit__map" id="Ogre_1_1ResourceBackgroundQueue_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; ResourceBackgroundQueue \&gt;" alt="" coords="5,5,304,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="101,59,208,88"/><area shape="rect" id="node6" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests." alt="" coords="40,112,269,141"/><area shape="rect" id="node8" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses." alt="" coords="36,165,273,195"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ResourceBackgroundQueue-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.  <a href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Encapsulates a queued request for the background queue.  <a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html">ResourceResponse</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct that holds details of queued notifications.  <a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a74525d1f4e99a24afa3cc0800f0b6ce9">ResourceBackgroundQueue</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a407ce0c4668bdf5558e15f7f99c37fa8">~ResourceBackgroundQueue</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8842996829730ae05d3dd06c1a8224ad">initialise</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise the background queue system.  <a href="#a8842996829730ae05d3dd06c1a8224ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae6e64b1d717c2a377a60772a5cbd8dec">shutdown</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shut down the background queue system.  <a href="#ae6e64b1d717c2a377a60772a5cbd8dec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a2543a3c0903bb5441c3b75f3c44d6cfa">initialiseResourceGroup</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise a resource group in the background.  <a href="#a2543a3c0903bb5441c3b75f3c44d6cfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abe1b5ef553e2e9cafc6172af3f0edc1a">initialiseAllResourceGroups</a> (<a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise all resource groups which are yet to be initialised in the background.  <a href="#abe1b5ef553e2e9cafc6172af3f0edc1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aae6fa8ecd7c2a6035a6c5b5fc39791ba">prepareResourceGroup</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepares a resource group in the background.  <a href="#aae6fa8ecd7c2a6035a6c5b5fc39791ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8caf7ad66b4c65608fa6a6dfc0b0f7cb">loadResourceGroup</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads a resource group in the background.  <a href="#a8caf7ad66b4c65608fa6a6dfc0b0f7cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae372f5db5fedec9648076e48407edf7c">unload</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resType, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload a single resource in the background.  <a href="#ae372f5db5fedec9648076e48407edf7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a91632d515e4c42970306bb8310df5790">unload</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resType, <a class="el" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a> handle, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload a single resource in the background.  <a href="#a91632d515e4c42970306bb8310df5790"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a63632d3cd174ec2ba091145199e7be42">unloadResourceGroup</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unloads a resource group in the background.  <a href="#a63632d3cd174ec2ba091145199e7be42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a33d1aa5d177fc999625b54b37c7bda8c">prepare</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resType, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual=false, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader=0, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *loadParams=0, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare a single resource in the background.  <a href="#a33d1aa5d177fc999625b54b37c7bda8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab14cf2235526638f58ddbf234379219a">load</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resType, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual=false, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader=0, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *loadParams=0, <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *listener=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a single resource in the background.  <a href="#ab14cf2235526638f58ddbf234379219a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b">isProcessComplete</a> (<a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> ticket)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether a previously queued process has completed or not.  <a href="#a7165b27dcde57a8f6d49ca40c76bb75b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a37de71afc6ad20ce64ad1e7161d34ac1">abortRequest</a> (<a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> ticket)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Aborts background process.  <a href="#a37de71afc6ad20ce64ad1e7161d34ac1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#adc005af8b5c25bcfd6e39d4d5255d754">canHandleRequest</a> (const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *req, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a>.  <a href="#adc005af8b5c25bcfd6e39d4d5255d754"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab62b4ac5538f5f96123ba2491c3af284">handleRequest</a> (const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *req, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a>.  <a href="#ab62b4ac5538f5f96123ba2491c3af284"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a3e162e3a40c4fe36e8e32bf11dcb2c43">canHandleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a>.  <a href="#a3e162e3a40c4fe36e8e32bf11dcb2c43"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a80e5148e3e0f8abd1e9eb2279e6db221">handleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a>.  <a href="#a80e5148e3e0f8abd1e9eb2279e6db221"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a85e23967cb7bce8948b744e0de9af17a">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a85e23967cb7bce8948b744e0de9af17a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8560b1f597bcb32f13d4a0abbdbb2e02">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a8560b1f597bcb32f13d4a0abbdbb2e02"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">RequestType</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745ae8ee38057ec65c7818091b1caca338ca">RT_INITIALISE_GROUP</a> =  0, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a9a307a52ca7851def901b0140b727a3d">RT_INITIALISE_ALL_GROUPS</a> =  1, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745acf908f9b6fcb1de03a07bae3f8cd4e06">RT_PREPARE_GROUP</a> =  2, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a665332bd3793442bba7ea49234396dc3">RT_PREPARE_RESOURCE</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a6fc6a9ca84e7613ae861d7c432843cc9">RT_LOAD_GROUP</a> =  4, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a7327f4cfe781534a62de7541b5f23e15">RT_LOAD_RESOURCE</a> =  5, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a9d78e28a478d97ad7e7d0bbb03699fb5">RT_UNLOAD_GROUP</a> =  6, 
<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a471ed9d09791d8524d9f9b838cd2da72">RT_UNLOAD_RESOURCE</a> =  7
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the type of requests.  <a href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1set.html">set</a><br class="typebreak"/>
&lt; <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a312aade4d2413f1de1ef3181cabe457f">OutstandingRequestSet</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aeae482f959f651edf2f2446c75a8fa05">addRequest</a> (<a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;req)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a6bfe913acebb812e67a5ccf669ac4b85">mWorkQueueChannel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a312aade4d2413f1de1ef3181cabe457f">OutstandingRequestSet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abd1a89bbcf6f99825db901c3e382b14f">mOutstandingRequestSet</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class is used to perform <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> operations in a background thread. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>All these requests are now queued via <a class="el" href="classOgre_1_1Root.html#ac488cfcbb657af17483e9ce551965d37" title="Get the WorkQueue for processing background tasks.">Root::getWorkQueue</a> in order to share the thread pool amongst all background tasks. You should therefore refer to that class for configuring the behaviour of the threads themselves, this class merely provides an interface that is specific to resource loading around this common functionality. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The general approach here is that on requesting a background resource process, your request is placed on a queue ready for the background thread to be picked up, and you will get a 'ticket' back, identifying the request. Your call will then return and your thread can proceed, knowing that at some point in the background the operation will be performed. In it's own thread, the resource operation will be performed, and once finished the ticket will be marked as complete. You can check the status of tickets by calling <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> from your queueing thread. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00080">80</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a312aade4d2413f1de1ef3181cabe457f"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::OutstandingRequestSet" ref="a312aade4d2413f1de1ef3181cabe457f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&gt;::type <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a312aade4d2413f1de1ef3181cabe457f">Ogre::ResourceBackgroundQueue::OutstandingRequestSet</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00140">140</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="aedf467d04f827459c96ba08cdf61b745"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::RequestType" ref="aedf467d04f827459c96ba08cdf61b745" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">Ogre::ResourceBackgroundQueue::RequestType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumerates the type of requests. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745ae8ee38057ec65c7818091b1caca338ca"></a><!-- doxytag: member="RT_INITIALISE_GROUP" ref="aedf467d04f827459c96ba08cdf61b745ae8ee38057ec65c7818091b1caca338ca" args="" -->RT_INITIALISE_GROUP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a9a307a52ca7851def901b0140b727a3d"></a><!-- doxytag: member="RT_INITIALISE_ALL_GROUPS" ref="aedf467d04f827459c96ba08cdf61b745a9a307a52ca7851def901b0140b727a3d" args="" -->RT_INITIALISE_ALL_GROUPS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745acf908f9b6fcb1de03a07bae3f8cd4e06"></a><!-- doxytag: member="RT_PREPARE_GROUP" ref="aedf467d04f827459c96ba08cdf61b745acf908f9b6fcb1de03a07bae3f8cd4e06" args="" -->RT_PREPARE_GROUP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a665332bd3793442bba7ea49234396dc3"></a><!-- doxytag: member="RT_PREPARE_RESOURCE" ref="aedf467d04f827459c96ba08cdf61b745a665332bd3793442bba7ea49234396dc3" args="" -->RT_PREPARE_RESOURCE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a6fc6a9ca84e7613ae861d7c432843cc9"></a><!-- doxytag: member="RT_LOAD_GROUP" ref="aedf467d04f827459c96ba08cdf61b745a6fc6a9ca84e7613ae861d7c432843cc9" args="" -->RT_LOAD_GROUP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a7327f4cfe781534a62de7541b5f23e15"></a><!-- doxytag: member="RT_LOAD_RESOURCE" ref="aedf467d04f827459c96ba08cdf61b745a7327f4cfe781534a62de7541b5f23e15" args="" -->RT_LOAD_RESOURCE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a9d78e28a478d97ad7e7d0bbb03699fb5"></a><!-- doxytag: member="RT_UNLOAD_GROUP" ref="aedf467d04f827459c96ba08cdf61b745a9d78e28a478d97ad7e7d0bbb03699fb5" args="" -->RT_UNLOAD_GROUP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aedf467d04f827459c96ba08cdf61b745a471ed9d09791d8524d9f9b838cd2da72"></a><!-- doxytag: member="RT_UNLOAD_RESOURCE" ref="aedf467d04f827459c96ba08cdf61b745a471ed9d09791d8524d9f9b838cd2da72" args="" -->RT_UNLOAD_RESOURCE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00111">111</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a74525d1f4e99a24afa3cc0800f0b6ce9"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceBackgroundQueue" ref="a74525d1f4e99a24afa3cc0800f0b6ce9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a74525d1f4e99a24afa3cc0800f0b6ce9">Ogre::ResourceBackgroundQueue::ResourceBackgroundQueue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a407ce0c4668bdf5558e15f7f99c37fa8"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::~ResourceBackgroundQueue" ref="a407ce0c4668bdf5558e15f7f99c37fa8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a407ce0c4668bdf5558e15f7f99c37fa8">Ogre::ResourceBackgroundQueue::~ResourceBackgroundQueue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a37de71afc6ad20ce64ad1e7161d34ac1"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::abortRequest" ref="a37de71afc6ad20ce64ad1e7161d34ac1" args="(BackgroundProcessTicket ticket)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a37de71afc6ad20ce64ad1e7161d34ac1">Ogre::ResourceBackgroundQueue::abortRequest</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td>
          <td class="paramname"><em>ticket</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Aborts background process. </p>

</div>
</div>
<a class="anchor" id="aeae482f959f651edf2f2446c75a8fa05"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::addRequest" ref="aeae482f959f651edf2f2446c75a8fa05" args="(ResourceRequest &amp;req)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aeae482f959f651edf2f2446c75a8fa05">Ogre::ResourceBackgroundQueue::addRequest</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;&#160;</td>
          <td class="paramname"><em>req</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adc005af8b5c25bcfd6e39d4d5255d754"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::canHandleRequest" ref="adc005af8b5c25bcfd6e39d4d5255d754" args="(const WorkQueue::Request *req, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#adc005af8b5c25bcfd6e39d4d5255d754">Ogre::ResourceBackgroundQueue::canHandleRequest</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a>. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#adf4a5093c7b789352a0a44629490bc87">Ogre::WorkQueue::RequestHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a3e162e3a40c4fe36e8e32bf11dcb2c43"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::canHandleResponse" ref="a3e162e3a40c4fe36e8e32bf11dcb2c43" args="(const WorkQueue::Response *res, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a3e162e3a40c4fe36e8e32bf11dcb2c43">Ogre::ResourceBackgroundQueue::canHandleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a>. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a7a2fabae7f92bed384f100526055a899">Ogre::WorkQueue::ResponseHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a85e23967cb7bce8948b744e0de9af17a"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::getSingleton" ref="a85e23967cb7bce8948b744e0de9af17a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>&amp; <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a85e23967cb7bce8948b744e0de9af17a">Ogre::ResourceBackgroundQueue::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; ResourceBackgroundQueue &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a8560b1f597bcb32f13d4a0abbdbb2e02"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::getSingletonPtr" ref="a8560b1f597bcb32f13d4a0abbdbb2e02" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>* <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8560b1f597bcb32f13d4a0abbdbb2e02">Ogre::ResourceBackgroundQueue::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; ResourceBackgroundQueue &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="ab62b4ac5538f5f96123ba2491c3af284"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::handleRequest" ref="ab62b4ac5538f5f96123ba2491c3af284" args="(const WorkQueue::Request *req, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a>* <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab62b4ac5538f5f96123ba2491c3af284">Ogre::ResourceBackgroundQueue::handleRequest</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#adf4cfa2660e7acf3a74751309855b39e">Ogre::WorkQueue::RequestHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a80e5148e3e0f8abd1e9eb2279e6db221"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::handleResponse" ref="a80e5148e3e0f8abd1e9eb2279e6db221" args="(const WorkQueue::Response *res, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a80e5148e3e0f8abd1e9eb2279e6db221">Ogre::ResourceBackgroundQueue::handleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation for <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a8fab0334551e482042df078a5945f5de">Ogre::WorkQueue::ResponseHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a8842996829730ae05d3dd06c1a8224ad"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::initialise" ref="a8842996829730ae05d3dd06c1a8224ad" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8842996829730ae05d3dd06c1a8224ad">Ogre::ResourceBackgroundQueue::initialise</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise the background queue system. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Called automatically by <a class="el" href="classOgre_1_1Root.html#ab940f0e3b8bff37feb0987c8b3e128b5" title="Initialises the renderer.">Root::initialise</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="abe1b5ef553e2e9cafc6172af3f0edc1a"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::initialiseAllResourceGroups" ref="abe1b5ef553e2e9cafc6172af3f0edc1a" args="(Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abe1b5ef553e2e9cafc6172af3f0edc1a">Ogre::ResourceBackgroundQueue::initialiseAllResourceGroups</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise all resource groups which are yet to be initialised in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd>ResourceGroupManager::intialiseResourceGroup </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">listener</td><td>Optional callback interface, take note of warnings in the header and only use if you understand them. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Ticket identifying the request, use <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> to determine if completed if not using listener </dd></dl>

</div>
</div>
<a class="anchor" id="a2543a3c0903bb5441c3b75f3c44d6cfa"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::initialiseResourceGroup" ref="a2543a3c0903bb5441c3b75f3c44d6cfa" args="(const String &amp;name, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a2543a3c0903bb5441c3b75f3c44d6cfa">Ogre::ResourceBackgroundQueue::initialiseResourceGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise a resource group in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html#af5c901bfb116d7f70f4542bd828784f4" title="Initialises a resource group.">ResourceGroupManager::initialiseResourceGroup</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the resource group to initialise </td></tr>
    <tr><td class="paramname">listener</td><td>Optional callback interface, take note of warnings in the header and only use if you understand them. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Ticket identifying the request, use <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> to determine if completed if not using listener </dd></dl>

</div>
</div>
<a class="anchor" id="a7165b27dcde57a8f6d49ca40c76bb75b"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::isProcessComplete" ref="a7165b27dcde57a8f6d49ca40c76bb75b" args="(BackgroundProcessTicket ticket)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b">Ogre::ResourceBackgroundQueue::isProcessComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td>
          <td class="paramname"><em>ticket</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether a previously queued process has completed or not. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method of checking that a background process has completed is the 'polling' approach. Each queued method takes an optional listener parameter to allow you to register a callback instead, which is arguably more efficient. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ticket</td><td>The ticket which was returned when the process was queued </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if process has completed (or if the ticket is unrecognised), false otherwise </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Tickets are not stored once complete so do not accumulate over time. This is why a non-existent ticket will return 'true'. </dd></dl>

</div>
</div>
<a class="anchor" id="ab14cf2235526638f58ddbf234379219a"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::load" ref="ab14cf2235526638f58ddbf234379219a" args="(const String &amp;resType, const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab14cf2235526638f58ddbf234379219a">Ogre::ResourceBackgroundQueue::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isManual</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&#160;</td>
          <td class="paramname"><em>loader</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>loadParams</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a single resource in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceManager.html#ad6d63fe7126510bf10fd337705cb0b29" title="Generic load method, used to create a Resource specific to this ResourceManager without using one of ...">ResourceManager::load</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resType</td><td>The type of the resource (from <a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c" title="Gets a string identifying the type of resource this manager handles.">ResourceManager::getResourceType()</a>) </td></tr>
    <tr><td class="paramname">name</td><td>The name of the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> </td></tr>
    <tr><td class="paramname">group</td><td>The resource group to which this resource will belong </td></tr>
    <tr><td class="paramname">isManual</td><td>Is the resource to be manually loaded? If so, you should provide a value for the loader parameter </td></tr>
    <tr><td class="paramname">loader</td><td>The manual loader which is to perform the required actions when this resource is loaded; only applicable when you specify true for the previous parameter. NOTE: must be thread safe!! </td></tr>
    <tr><td class="paramname">loadParams</td><td>Optional pointer to a list of name/value pairs containing loading parameters for this type of resource. Remember that this must have a lifespan longer than the return of this call! </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8caf7ad66b4c65608fa6a6dfc0b0f7cb"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::loadResourceGroup" ref="a8caf7ad66b4c65608fa6a6dfc0b0f7cb" args="(const String &amp;name, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8caf7ad66b4c65608fa6a6dfc0b0f7cb">Ogre::ResourceBackgroundQueue::loadResourceGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads a resource group in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html#a3b1d27ae4ff8fe5b9ac48f6325b727e9" title="Loads a resource group.">ResourceGroupManager::loadResourceGroup</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the resource group to load </td></tr>
    <tr><td class="paramname">listener</td><td>Optional callback interface, take note of warnings in the header and only use if you understand them. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Ticket identifying the request, use <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> to determine if completed if not using listener </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a33d1aa5d177fc999625b54b37c7bda8c"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::prepare" ref="a33d1aa5d177fc999625b54b37c7bda8c" args="(const String &amp;resType, const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a33d1aa5d177fc999625b54b37c7bda8c">Ogre::ResourceBackgroundQueue::prepare</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isManual</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&#160;</td>
          <td class="paramname"><em>loader</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>loadParams</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prepare a single resource in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceManager.html#ae26b6ecd722f3e24b52de8b4ac9bba0d" title="Generic prepare method, used to create a Resource specific to this ResourceManager without using one ...">ResourceManager::prepare</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resType</td><td>The type of the resource (from <a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c" title="Gets a string identifying the type of resource this manager handles.">ResourceManager::getResourceType()</a>) </td></tr>
    <tr><td class="paramname">name</td><td>The name of the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> </td></tr>
    <tr><td class="paramname">group</td><td>The resource group to which this resource will belong </td></tr>
    <tr><td class="paramname">isManual</td><td>Is the resource to be manually loaded? If so, you should provide a value for the loader parameter </td></tr>
    <tr><td class="paramname">loader</td><td>The manual loader which is to perform the required actions when this resource is loaded; only applicable when you specify true for the previous parameter. NOTE: must be thread safe!! </td></tr>
    <tr><td class="paramname">loadParams</td><td>Optional pointer to a list of name/value pairs containing loading parameters for this type of resource. Remember that this must have a lifespan longer than the return of this call! </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aae6fa8ecd7c2a6035a6c5b5fc39791ba"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::prepareResourceGroup" ref="aae6fa8ecd7c2a6035a6c5b5fc39791ba" args="(const String &amp;name, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aae6fa8ecd7c2a6035a6c5b5fc39791ba">Ogre::ResourceBackgroundQueue::prepareResourceGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prepares a resource group in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html#a393b8f97afc33fa4404e03a6f6ef9b36" title="Prepares a resource group.">ResourceGroupManager::prepareResourceGroup</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the resource group to prepare </td></tr>
    <tr><td class="paramname">listener</td><td>Optional callback interface, take note of warnings in the header and only use if you understand them. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Ticket identifying the request, use <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> to determine if completed if not using listener </dd></dl>

</div>
</div>
<a class="anchor" id="ae6e64b1d717c2a377a60772a5cbd8dec"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::shutdown" ref="ae6e64b1d717c2a377a60772a5cbd8dec" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae6e64b1d717c2a377a60772a5cbd8dec">Ogre::ResourceBackgroundQueue::shutdown</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shut down the background queue system. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Called automatically by <a class="el" href="classOgre_1_1Root.html#adc677530cc7ef50fbd0e37d75c02e16b" title="Shuts down the system manually.">Root::shutdown</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ae372f5db5fedec9648076e48407edf7c"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::unload" ref="ae372f5db5fedec9648076e48407edf7c" args="(const String &amp;resType, const String &amp;name, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae372f5db5fedec9648076e48407edf7c">Ogre::ResourceBackgroundQueue::unload</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload a single resource in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceManager.html#a2cf457c70ea86892b1bec52028c96237" title="Unloads a single resource by name.">ResourceManager::unload</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resType</td><td>The type of the resource (from <a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c" title="Gets a string identifying the type of resource this manager handles.">ResourceManager::getResourceType()</a>) </td></tr>
    <tr><td class="paramname">name</td><td>The name of the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a91632d515e4c42970306bb8310df5790"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::unload" ref="a91632d515e4c42970306bb8310df5790" args="(const String &amp;resType, ResourceHandle handle, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae372f5db5fedec9648076e48407edf7c">Ogre::ResourceBackgroundQueue::unload</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload a single resource in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceManager.html#a2cf457c70ea86892b1bec52028c96237" title="Unloads a single resource by name.">ResourceManager::unload</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resType</td><td>The type of the resource (from <a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c" title="Gets a string identifying the type of resource this manager handles.">ResourceManager::getResourceType()</a>) </td></tr>
    <tr><td class="paramname">handle</td><td>Handle to the resource </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63632d3cd174ec2ba091145199e7be42"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::unloadResourceGroup" ref="a63632d3cd174ec2ba091145199e7be42" args="(const String &amp;name, Listener *listener=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a63632d3cd174ec2ba091145199e7be42">Ogre::ResourceBackgroundQueue::unloadResourceGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>listener</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unloads a resource group in the background. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html#a01166a19f261e9b4fd2908c94c829d08" title="Unloads a resource group.">ResourceGroupManager::unloadResourceGroup</a> </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the resource group to load </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Ticket identifying the request, use <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b" title="Returns whether a previously queued process has completed or not.">isProcessComplete()</a> to determine if completed if not using listener </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abd1a89bbcf6f99825db901c3e382b14f"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::mOutstandingRequestSet" ref="abd1a89bbcf6f99825db901c3e382b14f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a312aade4d2413f1de1ef3181cabe457f">OutstandingRequestSet</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abd1a89bbcf6f99825db901c3e382b14f">Ogre::ResourceBackgroundQueue::mOutstandingRequestSet</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00141">141</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6bfe913acebb812e67a5ccf669ac4b85"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::mWorkQueueChannel" ref="a6bfe913acebb812e67a5ccf669ac4b85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a6bfe913acebb812e67a5ccf669ac4b85">Ogre::ResourceBackgroundQueue::mWorkQueueChannel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00109">109</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
